﻿using ReportingServices.Models.PlanningReport;
using ReportingServices.ReportingObjects;

namespace ReportingServices.Dependency_Injections
{
    public interface IScrapeDatabaseRepository
    {
        public void OpenConnection();
        public void CloseConnection();
        public List<ScrapByDay> GetScrapByDay(List<ReactorOutsByRDS> outs);
        public List<ReactorPSNWORuns> GetReactorPSNWORuns(string startDate, string endDate);
        public int GetNumberOfPartChanges(string startDate, string endDate);
        public int[] GetNumberOfToolsByWaferSize();
        public int[] GetNumberOfSingleLoadLocks();
        public int[] GetNumberOfToolUnloadTempsLessThan700();
    }
}
